Loading...
Searching...
No Matches
gx_preset::StateIO Class Reference

`#include <gx_preset.h>`

Inheritance diagram for gx_preset::StateIO:

## Public Member Functions

| StateIO (gx_engine::MidiControllerList &mctrl, gx_engine::ParamMap &param, gx_engine::MidiStandardControllers &mstdctr, gx_jack::GxJack &jack, gx_system::CmdlineOptions &opt, UnitRacks &rack_units)
| ~StateIO ()
void | read_state (gx_system::JsonParser &jp, const gx_system::SettingsFileHeader &) override
void | commit_state () override
void | write_state (gx_system::JsonWriter &jw, bool preserve_preset) override
Public Member Functions inherited from gx_system::AbstractStateIO
virtual | ~AbstractStateIO ()

## Private Attributes

gx_engine::MidiStandardControllers & | midi_std_control
gx_jack::GxJack & | jack
Private Attributes inherited from gx_preset::PresetIO
gx_engine::MidiControllerList & | mctrl
gx_engine::ParamMap & | param
gx_system::CmdlineOptions & | opt
gx_engine::paramlist | plist
gx_engine::ControllerArray * | m
UnitRacks & | rack_units

## Additional Inherited Members

Private Member Functions inherited from gx_preset::PresetIO
| PresetIO (gx_engine::MidiControllerList &mctrl, gx_engine::ParamMap &param, gx_system::CmdlineOptions &opt, UnitRacks &rack_units)
| ~PresetIO ()
void | read_preset (gx_system::JsonParser &jp, const gx_system::SettingsFileHeader &) override
void | commit_preset () override
void | write_preset (gx_system::JsonWriter &jw) override
void | copy_preset (gx_system::JsonParser &jp, const gx_system::SettingsFileHeader &, gx_system::JsonWriter &jw) override
void | read_parameters (gx_system::JsonParser &jp, bool preset)
void | write_parameters (gx_system::JsonWriter &w, bool preset)
void | clear ()
bool | midi_in_preset ()
void | read_intern (gx_system::JsonParser &jp, bool *has_midi, const gx_system::SettingsFileHeader &head)
void | fixup_parameters (const gx_system::SettingsFileHeader &head)
void | write_intern (gx_system::JsonWriter &w, bool write_midi)
bool | convert_old (gx_system::JsonParser &jp)
void | collectRackOrder (gx_engine::Parameter *p, gx_system::JsonParser &jp, UnitsCollector &u)
void | commit_midi_feedback (gx_engine::Parameter *p)
Private Member Functions inherited from gx_system::AbstractPresetIO
virtual | ~AbstractPresetIO ()
Static Private Member Functions inherited from gx_preset::PresetIO
static string | try_replace_param_value (const std::string &id, const std::string &v_id, bool &found)

## Detailed Description

Definition at line 99 of file gx_preset.h.

## Constructor & Destructor Documentation

## StateIO()

gx_preset::StateIO::StateIO | ( | gx_engine::MidiControllerList & | mctrl,
|  | gx_engine::ParamMap & | param,
|  | gx_engine::MidiStandardControllers & | mstdctr,
|  | gx_jack::GxJack & | jack,
|  | gx_system::CmdlineOptions & | opt,
|  | UnitRacks & | rack_units )

## ~StateIO()

gx_preset::StateIO::~StateIO | ( |  | ) |

## Member Function Documentation

## commit_state()

void gx_preset::StateIO::commit_state | ( |  | ) |

override virtual

Implements gx_system::AbstractStateIO.

## read_state()

void gx_preset::StateIO::read_state | ( | gx_system::JsonParser & | jp,
|  | const gx_system::SettingsFileHeader & | )

override virtual

Implements gx_system::AbstractStateIO.

## write_state()

void gx_preset::StateIO::write_state | ( | gx_system::JsonWriter & | jw,
|  | bool | preserve_preset )

override virtual

Implements gx_system::AbstractStateIO.

## Member Data Documentation

## jack

gx_jack::GxJack& gx_preset::StateIO::jack

private

Definition at line 102 of file gx_preset.h.

Referenced by StateIO().

## midi_std_control

gx_engine::MidiStandardControllers& gx_preset::StateIO::midi_std_control

private

Definition at line 101 of file gx_preset.h.

The documentation for this class was generated from the following file:

- src/headers/gx_preset.h